RoleDaoHibernate (gisgraphy 2.0-final API)
Date: 2010-09-01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.dao.hibernate
Class RoleDaoHibernate

    java.lang.Object
      org.springframework.dao.support.DaoSupport
          org.springframework.orm.hibernate3.support.HibernateDaoSupport
              com.gisgraphy.dao.hibernate.GenericDaoHibernate<Role,java.lang.Long>
                  com.gisgraphy.dao.hibernate.RoleDaoHibernate

All Implemented Interfaces:
  GenericDao<Role,java.lang.Long>, RoleDao, org.springframework.beans.factory.InitializingBean

    public class RoleDaoHibernate

extends GenericDaoHibernate<Role,java.lang.Long>
implements RoleDao

This class interacts with Spring's HibernateTemplate to save/delete and retrieve Role objects.

Author:
  Bryan Noll

Field Summary

Fields inherited from class com.gisgraphy.dao.hibernate.GenericDaoHibernate
`log`

Fields inherited from class org.springframework.dao.support.DaoSupport
`logger`

Constructor Summary
`RoleDaoHibernate()` Constructor to create a Generics-based version using Role as the entity

Method Summary
`Role` | `getRoleByName(java.lang.String rolename)` Gets role information based on rolename
`void` | `removeRole(java.lang.String rolename)` Removes a role from the database by name

Methods inherited from class com.gisgraphy.dao.hibernate.GenericDaoHibernate
`exists, get, getAll, remove, save`

Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport
`checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

Methods inherited from class org.springframework.dao.support.DaoSupport
`afterPropertiesSet, initDao`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gisgraphy.dao.GenericDao
`exists, get, getAll, remove, save`

Constructor Detail

### RoleDaoHibernate

    public RoleDaoHibernate()

  Constructor to create a Generics-based version using Role as the entity

Method Detail

### getRoleByName

    public Role getRoleByName(java.lang.String rolename)

  Gets role information based on rolename

  Specified by:
    `getRoleByName` in interface `RoleDao`
  Parameters:
    `rolename` - the rolename
  Returns:
    populated role object

### removeRole

    public void removeRole(java.lang.String rolename)

  Removes a role from the database by name

  Specified by:
    `removeRole` in interface `RoleDao`
  Parameters:
    `rolename` - the role's rolename

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.